function out = ifwt2d_wav(obj,ind_sc,ind_ang,varargin)
% \manchap
%
% \mansecSyntax
%
% [] = fwt2d\_wav()
%
% \mansecDescription
%
% \mansubsecInputData
% \begin{description}
% \item[] []: 
% \end{description} 
%
% \mansubsecOutputData
% \begin{description}
% \item[] []:
% \end{description} 
%
% \mansecExample
% \begin{code}
% >>
% \end{code}
%
% \mansecReference
%
% \mansecSeeAlso
%
% \mansecLicense
%
% This file is part of YAW Toolbox (Yet Another Wavelet Toolbox)
% You can get it at
% \url{"http://www.fyma.ucl.ac.be/projects/yawtb"}{"yawtb homepage"} 
%
% $Header: /home/cvs/yawtb/frames/2d/ifwt2d_wav.m,v 1.3 2003/08/13 14:53:06 ljacques Exp $
%
% Copyright (C) 2001-2002, the YAWTB Team (see the file AUTHORS distributed with
% this library) (See the notice at the end of the file.)

if strcmp(obj.frame.type, 'linear')
  if (getopts(varargin,'temp',[],1))
    out = obj.temp;
  else
    out = obj.wav{ind_sc,ind_ang};
  end
else
  mask = fwt2d_dwav_filter(obj, ind_sc, ind_ang);
  
  if (getopts(varargin,'temp',[],1))
    out = ifft2(fft2(obj.temp) .* mask );
  else
    out = ifft2(fft2(obj.wav{ind_sc,ind_ang}) .* mask );
  end
end

% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
